Bug 731218 - /var/lock/lockdev does not exist on rhel6
Summary: /var/lock/lockdev does not exist on rhel6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: rxtx
Version: el6
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Levente Farkas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 01:54 UTC by Kevin Baker
Modified: 2014-12-01 23:09 UTC (History)
2 users (show)

Fixed In Version: rxtx-2.2-0.6.20100211.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-05 23:33:56 UTC


Attachments (Terms of Use)

Description Kevin Baker 2011-08-17 01:54:49 UTC
Description of problem:

installed the rxtx package on my RHEL 6 server x86_64 box and had some fun working out why it couldn't connect to my serial device on /dev/ttyUSB0.

First issue was that it could lock...it was looking for /var/lock/lockdev but on RHEL6 there was no /var/lock/lockdev. Created dir that and set up the permissions as per bz#581884. patch 4 rxtx-2.2-lock.patch looks to be F15 focused. 

http://pkgs.fedoraproject.org/gitweb/?p=rxtx.git;a=blob_plain;f=rxtx-2.2-lock.patch;hb=el6

Perhaps the spec file should be

%if 0%{?fedora} > 13 || 0%{?rhel} > 6
%patch4 -p1
%endif

rather than 0%{?rhel} > 5 as it is now?

http://pkgs.fedoraproject.org/gitweb/?p=rxtx.git;a=blob_plain;f=rxtx.spec;hb=el6



Version-Release number of selected component (if applicable):

rxtx-2.2-0.5.20100211.el6.i686.rpm 

How reproducible:

install on RHEL 6 and try to attach to a serial device

Comment 1 Fedora Update System 2011-08-17 12:32:30 UTC
rxtx-2.2-0.6.20100211.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rxtx-2.2-0.6.20100211.el6

Comment 2 Fedora Update System 2011-08-19 16:28:27 UTC
Package rxtx-2.2-0.6.20100211.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing rxtx-2.2-0.6.20100211.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/rxtx-2.2-0.6.20100211.el6
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-09-05 23:33:51 UTC
rxtx-2.2-0.6.20100211.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.